# RegularFile

interface RegularFile : FileSystemLocation

Represents a regular file at a fixed location on the file system. A regular file is a file that is not a directory and is not some special kind of file such as a device.

Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created from a Directory instance using the file method or via various methods on ProjectLayout such as getProjectDirectory.

#### Since

4.1

## Functions

getAsFile
Link copied to clipboard
abstract fun getAsFile(): File
Returns the location of this file, as an absolute File.